=== debian/changelog ===
flvstreamer (2.1c1-5) unstable; urgency=medium

  * Add ID to Uploaders (requirement for ITS #1092207)
  * d/watch: version=5

 -- Andreas Tille <tille@debian.org>  Tue, 16 Dec 2025 13:17:10 +0100

flvstreamer (2.1c1-4) unstable; urgency=medium

  * Team upload
  * Revert "Build and install all programs of `progs` target in Makefile"
    (Closes: #1098981)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 30 Aug 2025 18:23:58 +0200

flvstreamer (2.1c1-3) unstable; urgency=medium

  * Team upload.
  * debian/copyright: Convert to machine-readable format
  * Standards-Version: 4.7.2 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 Aug 2025 22:16:31 +0200

flvstreamer (2.1c1-2) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Multimedia team
    Closes: #1092207
  * Add Homepage
  * Add watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Build and install all programs of `progs` target in Makefile
    Closes: #636175

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jan 2025 09:40:03 +0100

flvstreamer (2.1c1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to 3.0 source format (Closes: #1007545)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross compilers (Closes: #850934)

 -- Bastian Germann <bage@debian.org>  Tue, 29 Nov 2022 02:11:49 +0100

flvstreamer (2.1c1-1) unstable; urgency=low

  * New upstream release
  * Fix short description (Closes: #557614)

 -- Ross Burton <ross@debian.org>  Tue, 23 Feb 2010 20:06:37 +0000

flvstreamer (1.9-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Mon, 16 Nov 2009 17:32:51 +0000

flvstreamer (1.8k-1) unstable; urgency=low

  * New upstream release
  - Can save files over 2GB (Closes: #550903)

 -- Ross Burton <ross@debian.org>  Thu, 15 Oct 2009 10:20:11 +0100

flvstreamer (1.8e-2) unstable; urgency=low

  * Install the README

 -- Ross Burton <ross@debian.org>  Mon, 24 Aug 2009 08:51:38 +0100

flvstreamer (1.8e-1) unstable; urgency=low

  * Initial upload.

 -- Ross Burton <ross@debian.org>  Mon, 27 Jul 2009 18:06:19 +0100
