=== debian/control ===
Source: flvstreamer
Section: utils
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Ross Burton <ross@debian.org>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/flvstreamer
Vcs-Git: https://salsa.debian.org/multimedia-team/flvstreamer.git
Homepage: https://savannah.nongnu.org/projects/flvstreamer/

Package: flvstreamer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line RTMP client
 Command-line RTMP client intended to stream audio or video content from all
 types of Flash or RTMP servers.
