=== debian/watch ===
Version: 5

Source: https://download.savannah.nongnu.org/releases/flvstreamer/source/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
